Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(7)

Issue 2744243009: [Compositor event queue] FlingCancel should clear on-going gesture flag (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
7 months ago by chongz
Modified:
7 months ago
Reviewers:
dtapuska
CC:
chromium-reviews, dtapuska+chromiumwatch_chromium.org
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

[Compositor event queue] FlingCancel should clear on-going gesture flag We don't receive |GestureScrollEnd| when the scroll was turned into fling, thus we need to clear flag |has_ongoing_compositor_scroll_fling_pinch_| on |GestureFlingCancel| to avoid queueing latency on next |GestureScroll/PinchBegin|. BUG=625689 Review-Url: https://codereview.chromium.org/2744243009 Cr-Commit-Position: refs/heads/master@{#458187} Committed: https://chromium.googlesource.com/chromium/src/+/8eabf60aaa6009c9383970ffbc0cfa15e50b9951

Patch Set 1 #

Unified diffs Side-by-side diffs Delta from patch set Stats (+42 lines, -5 lines) Patch
M ui/events/blink/input_handler_proxy.h View 1 chunk +1 line, -1 line 0 comments Download
M ui/events/blink/input_handler_proxy.cc View 3 chunks +6 lines, -4 lines 0 comments Download
M ui/events/blink/input_handler_proxy_unittest.cc View 1 chunk +35 lines, -0 lines 0 comments Download
Trybot results:  linux_chromium_rel_ng   android_arm64_dbg_recipe   ios-simulator   android_clang_dbg_recipe   win_chromium_rel_ng   android_n5x_swarming_rel   mac_chromium_compile_dbg_ng   linux_android_rel_ng   ios-device   ios-simulator-xcode-clang   mac_chromium_rel_ng   ios-device-xcode-clang   linux_chromium_tsan_rel_ng   chromeos_amd64-generic_chromium_compile_only_ng   linux_chromium_chromeos_ozone_rel_ng   linux_chromium_compile_dbg_ng   win_chromium_compile_dbg_ng   win_clang   win_chromium_x64_rel_ng   linux_chromium_rel_ng   linux_chromium_asan_rel_ng   chromium_presubmit   cast_shell_linux   android_compile_dbg   linux_chromium_chromeos_rel_ng   android_cronet   chromeos_daisy_chromium_compile_only_ng   cast_shell_android   win_chromium_compile_dbg_ng   mac_chromium_rel_ng   ios-simulator-xcode-clang   ios-simulator   win_chromium_rel_ng   mac_chromium_compile_dbg_ng   win_clang   win_chromium_x64_rel_ng   android_arm64_dbg_recipe   linux_android_rel_ng   linux_chromium_asan_rel_ng   chromeos_amd64-generic_chromium_compile_only_ng   cast_shell_linux   android_n5x_swarming_rel   android_clang_dbg_recipe   chromeos_daisy_chromium_compile_only_ng   linux_chromium_chromeos_rel_ng   android_cronet   ios-device-xcode-clang   linux_chromium_rel_ng   android_compile_dbg   linux_chromium_compile_dbg_ng   cast_shell_android   chromium_presubmit   linux_chromium_tsan_rel_ng   linux_chromium_chromeos_ozone_rel_ng   ios-device 
Commit queue not available (can’t edit this change).

Messages

Total messages: 14 (9 generated)
chongz
dtapuska@ I realized this issue while checking my code, PTAL, thanks!
7 months ago (2017-03-17 19:39:31 UTC) #7
chongz
ping :)
7 months ago (2017-03-20 19:00:30 UTC) #8
dtapuska
On 2017/03/20 19:00:30, chongz wrote: > ping :) lgtm
7 months ago (2017-03-20 19:22:07 UTC) #9
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2744243009/1
7 months ago (2017-03-20 19:55:44 UTC) #11
commit-bot: I haz the power
7 months ago (2017-03-20 21:18:14 UTC) #14
Message was sent while issue was closed.
Committed patchset #1 (id:1) as
https://chromium.googlesource.com/chromium/src/+/8eabf60aaa6009c9383970ffbc0c...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 81bcdb8aa